NEW_PANEL(3)

NAME
new_panel, panel_window, replace_panel, del_panel - panel routines

LIBRARY
libpanel

SYNOPSIS
#include <panel.h>
PANEL *
new_panel(WINDOW *win);
WINDOW *
panel_window(PANEL *p);
int
replace_panel(PANEL *p, WINDOW *win);
int
del_panel(PANEL *p);

DESCRIPTION
The function new_panel() creates a new panel associated with the curses window win. The new panel is visible and is placed at the top of the deck.

The curses window associated with a panel may be obtained with panel_window() and changed with replace_panel().

The function del_panel() hides the panel and deletes it. Note that the curses window associated with the panel is not deleted.

RETURN VALUES
Functions returning pointers will return NULL if an error is detected. The functions that return an int will return one of the following values:

OK  The function completed successfully.
ERR An error occurred in the function.

SEE ALSO
panel(3)